﻿@font-face {
  font-family: 'Roboto';
  src: url('.../fonts/roboto/Roboto-Bold.woff2') format('woff2'), url('.../fonts/roboto/Roboto-Bold.woff') format('woff');
  font-weight: 700;
  font-style: normal;
}
@font-face {
  font-family: 'Roboto';
  src: url('../fonts/roboto/Roboto-Regular.woff2') format('woff2'), url('.../fonts/roboto/Roboto-Regular.woff') format('woff');
  font-weight: 400;
  font-style: normal;
}
@font-face {
  font-family: 'Material Icons';
  font-style: normal;
  font-weight: 400;
  src: local('Material Icons'), local('MaterialIcons-Regular'), url('../fonts/material-icons/MaterialIcons-Regular.woff2') format('woff2'), url('../fonts/material-icons/MaterialIcons-Regular.woff') format('woff'), url('../fonts/material-icons/MaterialIcons-Regular.ttf') format('truetype');
}
.material-icons {
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 24px;
  /* Preferred icon size */
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;
  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;
  /* Support for IE. */
  font-feature-settings: 'liga';
}
:root {
  --mdc-theme-primary: #0282af;
  --mdc-theme-secondary: #ffb74d;
}
* {
  box-sizing: border-box;
  font-family: Roboto, sans-serif;
  font-size: 14px;
}
html,
body {
  overflow: hidden;
  height: 100%;
  margin: 0;
  padding: 0;
}
body {
  background-color: #d3dce0;
  display: flex;
  flex-direction: column;
}
.navbar {
  background: #0282af;
  color: white;
  height: 50px;
}
.navbar .container-fluid {
  display: flex;
  align-items: center;
  height: 50px;
  padding: 0 16px;
}
.body-content {
  flex: 1;
  overflow-y: auto;
  padding: 0;
  margin: 0 auto;
  width: 100%;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
}
.logo {
  display: inline-block;
  height: 36px;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
}
fieldset {
  border: none;
  margin: 0;
  padding: 0;
}
.mdc-form-field,
.mdc-text-field {
  margin-bottom: 0.5em;
  width: 100%;
  max-width: 400px;
  height: 50px;
}
.mdc-text-field--focused:not(.mdc-text-field--disabled) .mdc-floating-label--float-above {
  color: #0282af;
}
.mdc-button {
  color: #ffb74d;
  border: 2px solid #ffb74d;
  height: 40px;
}
.mdc-button .mdc-button__icon {
  line-height: 24px;
  height: 24px;
  width: 24px;
  font-size: 24px;
  color: white;
}
.mdc-button:hover {
  background-color: #ff9000 !important;
  border: 2px solid #ff9000;
}
input:-internal-autofill-selected {
  background-color: #ffffff !important;
}
.page-header {
  padding-bottom: 5px;
  margin: 0 0 15px;
}
.login-page {
  display: flex;
  flex-direction: column;
  flex: 1;
  gap: 30px;
  align-items: center;
}
.login-form {
  max-width: 400px;
  width: 100%;
  margin: 0 auto;
  background-color: white;
  border-radius: 10px;
  padding: 25px 40px;
  box-shadow: 0px 0px 40px -20px #000000;
}
.login-logo {
  max-width: 110px;
  max-height: 110px;
  margin-bottom: 10px;
}
.form-description {
  margin: 5px 0;
  padding-left: 5px;
}
.form-group {
  text-align: center;
  margin-top: 12px;
}
.form-group .mdc-button:not(:last-child) {
  margin-right: 16px;
}
.form-group .mdc-button__label {
  text-transform: capitalize;
}
.mdc-text-field--outlined .mdc-text-field__input {
  padding: 0 14px 0;
}
@media (min-width: 1200px) {
  .container {
    width: 1170px;
  }
}
.validation-summary-errors ul {
  list-style-type: none;
  padding: 0;
}
.validation-summary-errors li {
  font-size: 1em;
  font-weight: 600;
}
.alert-danger {
  margin-left: 5px;
  padding-top: 5px;
  padding-bottom: 10px;
  display: flex;
}
.alert-danger .material-icons {
  color: #FF4D4D;
  padding-right: 7px;
  align-self: center;
  font-size: 28px;
}
.alert {
  color: #FF4D4D;
  padding-top: 5px;
  padding-bottom: 10px;
}
.forgot-link {
  margin-top: 24px;
  text-align: center;
}
.info-message {
  margin-bottom: 12px;
}
.success-message {
  padding-top: 5px;
  padding-bottom: 10px;
  font-size: 1em;
  font-weight: 600;
  display: flex;
}
.success-message .material-icons {
  padding-right: 7px;
  align-self: center;
  font-size: 28px;
  color: #06C71E;
  margin-right: 12px;
}
.message {
  margin-bottom: 25px;
}
.request-id {
  font-size: 12px;
  margin-top: 4px;
}
.info-with-button {
  display: flex;
  margin-bottom: 12px;
  width: 100%;
}
.info-with-button > div {
  flex: 1;
}
.resend-button {
  height: 30px;
  width: 150px;
}
#capsLockView {
  height: 30px;
  width: 100%;
  display: none;
}
#capsLockText {
  margin: 0px 0px 15px 0px;
  display: inline-block;
  vertical-align: middle;
}
.mdc-button__icon {
  width: 25px;
  height: 25px;
  color: #ffb74d;
}
/* The Modal (background) */
.modal {
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Stay in place */
  z-index: 1;
  /* Sit on top */
  padding-top: 400px;
  /* Location of the box */
  left: 0;
  top: 0;
  width: 100%;
  /* Full width */
  height: 100%;
  /* Full height */
  overflow: auto;
  /* Enable scroll if needed */
  background-color: #000000;
  /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4);
  /* Black w/ opacity */
}
/* Modal Content */
.modal-content {
  border-radius: 10px;
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 500px;
  height: 161px;
}
.wrapper {
  display: grid;
  grid-gap: 10px;
  grid-template-columns: [col1-start] 50px;
  grid-template-rows: [row1-start] auto [row2-start] auto [row2-end];
  background-color: #fff;
  color: #444;
}
.info-icon-col {
  grid-row: row1-start / row3-end;
}
.text-row-01 {
  font-weight: bold;
  height: 25px;
  display: flex;
  align-items: center;
}
.text-row-02 {
  grid-row: row2-start;
}
.btn {
  padding-right: 37px;
}
.ok-btn {
  float: right;
}
.info-icon {
  color: #00aeed;
  float: right;
}
.code-field-description {
  display: flex;
  justify-content: space-between;
}
.resend-link {
  margin-right: 10px;
  line-height: 24px;
}
.info-message-wrapper {
  display: flex;
  align-items: center;
  margin-bottom: 20px;
}
.info-message-icon {
  margin-right: 5px;
}
.link-button,
.link-button:visited,
.link-button:hover,
.link-button:active {
  color: #0282af;
}
.button-as-link {
  background-color: transparent;
  border: 0;
  cursor: pointer;
  color: #0282af;
  text-decoration: underline;
  padding: 0;
}
.info-message-text li {
  white-space: pre-wrap;
}
.fields-errors {
  color: red;
}
.title {
  font-size: 24px;
  line-height: 16px;
  color: #0282AF;
  padding-bottom: 20px;
}
.login-info {
  display: flex;
  width: 600px;
  border-radius: 5px;
  background-color: #00aeed;
  color: white;
  padding: 15px;
  gap: 15px;
  align-items: center;
}
.login-info__wrap-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 25px;
  height: 25px;
  border-radius: 50px;
  background-color: white;
}
.login-info__icon {
  align-self: center;
  color: #00aeed;
  font-size: 20px;
  padding: 5px;
}
.login-info__message {
  display: flex;
  flex-direction: column;
}
.sso-login-button {
  display: block;
  padding-top: 10px;
  width: 100%;
}
.ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.forgot-password-message {
  display: flex;
  align-items: center;
  line-height: 1.5;
  font-weight: 100;
}